POST
/authCreate API Key
Validate clientId and clientSecret and return an API Key
Request Body
requiredobject
Authentication parameters required to get access to Pluggy's API
clientIdrequiredstring (uuid)
Client id
clientSecretrequiredstring
Client secret
Example
json
{
"clientId": "f8c9b8f0-b8e2-4f0f-b8e2-4f0f8e2f0f8e2",
"clientSecret": "UZzp2n7eMThpfZ74Xf7"
}Responses
200API Key generated
object
Authentication confirmed response to interact with the api
apiKeyrequiredstring
Authentication key for the API
Example response
json
{
"apiKey": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c"
}Code Examples
bash
curl -X POST 'https://api.pluggy.ai/auth' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY' \
-d '{}'